Subject: bug#75481: 31.0.50; Segfault on Windows 11 when using Easy Customization buffer

From: Amir Rajan <[email-masked]>
Date: Sat, 11 Jan 2025 03:19:43 -0600

It may be worth establishing a baseline. Try the following and see if you
get a segfault:

  1. Download and install
https://mirrors.ibiblio.org/gnu/emacs/windows/emacs-29/emacs-29.4-installer.exe
  2. After installation, use Windows Explorer/Start Button to run Emacs (do
not run via MSYS terminal).
  3. M-x customize-group, and then choose any group to get to the "Easy
Customization" screen.
  4. Place cursor in the search field:

     For help using this buffer, see [Easy Customization] in the [Emacs
manual].

     [                                      ]  [ Search ]
      ^
      +---------- place within search area

  5. Type any group name to customize. I typed "default" for the group and
pressed enter.
  6. The segfault should occur right after pressing enter.

If this doesn't segfault for you, then it may be something specifically
related to running Emacs within a Windows 11 VM via Parallels on an M1
MacBook Pro (ARM64).

On Sat, Jan 11, 2025 at 2:26 AM Amir Rajan <[email-masked]> wrote:

> Typing anything into the search box causes the crash for me. I’ll get you
> the values of the parameters soon!
>
>
> * Amir Rajan
> ** PS
> I welcome VSRE emails. Learn more at http://vsre.info/.
> ** PPS
> I reply to every legitimate email I get. So, if you don't hear from me
> within a week. Email me again since there's a high chance that the email
> got lost in my inbox.
>
>
> On Sat, Jan 11, 2025 at 2:24 AM Eli Zaretskii <[email-masked]> wrote:
>
>> [Please use Reply All to reply, to keep the bug tracker CC'ed.]
>>
>> > From: Amir Rajan <[email-masked]>
>> > Date: Sat, 11 Jan 2025 01:52:43 -0600
>> >
>> > You can provide any mode to get to the customization box
>>
>> I tried text-mode and emacs-lisp-mode, but I don't get any crash.
>>
>> By "search box" do you mean the one after the first 3 lines in the
>> *Customize Group: Text* buffer, the one which says "Search" on the
>> right?  If so, what did you type there?
>>
>> Alternatively, can run Emacs under GDB, and when it crashes, show the
>> arguments to 'floor'?  (Let me know if you need instructions for how
>> to do that in GDB.)
>>
>